Bug 1255394 - Undercloud services should be able to listen on the public / external network too
Undercloud services should be able to listen on the public / external network...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Nathan Kinder
yeylon@redhat.com
: ZStream
Depends On:
Blocks: 1255412
  Show dependency treegraph
 
Reported: 2015-08-20 09:09 EDT by Stephen Herr
Modified: 2016-04-28 15:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 14:05:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2015-08-20 09:09:59 EDT
Currently the Undercloud services (keystone api and the like) only listen on the provisioning network. It would be nice if there was a way to configure the undercloud to also listen on the external / public network, so that you could connect to keystone or other services externally without requiring that the provisioning network is routable from the external network.
Comment 4 Adam Young 2016-04-08 14:05:41 EDT
So you are probably using instack or comparable to set up the undercloud.  That is not a supported component yet.    It is not a Keystone issue at any point, though.

From the supported project standpoiint, the Keystone server, and the rest of the undercloud will listen on whatever interfaces are provided by the physical machine.

Note You need to log in before you can comment on or make changes to this bug.